<html>
<head>
	<title>Categorie invoeren</title>
</head>

<body>

<?php

if ($_POST["knop"] && $_POST["categorie"]) {
	
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);
$sql = "INSERT INTO Categorie (Naam) VALUES ('".$_POST["categorie"]."')";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Helaas, de categorie ".$_POST["categorie"]." kon niet worden toegevoegd aan de database. Neem contact op met de webmaster!"; // wordt de query goed uitgevoerd?
} else {
	echo "De categorie <b>".$_POST["categorie"]."</b> is toegevoegd.";
}
mysql_close($db);
	

} else {

?>

<form method="post" action="<?php echo $PHP_SELF ?>">
Welke categorie wilt u toevoegen?<br>
Categorie: <input type="text" name="categorie"><br>
<input type="submit" name="knop" value="toevoegen">
</form>

<?php 

  }

?>

</body>
</html>
